@import url('https://fonts.googleapis.com/css2?family=Wix+Madefor+Display:wght@400;500;600;700;800&display=swap');

.html, body {
  background: rgb(3,12,19);
  background: linear-gradient(180deg, rgb(2 10 17) 10%, rgb(20 87 127) 73%, rgb(84 192 188) 100%);  height: 100vh;
  align-items: center;
  text-align: center;
  display: flex;
  justify-content: center;
  margin-top: -3rem;
  font-family: 'Wix Madefor Display', sans-serif;
}

.tree-l {
  position: fixed;
  bottom: 6%;
  left: -1rem;
  height: 20%;
}

.tree-r {
  position: fixed;
  bottom: 6%;
  right: -1rem;
  height: 20%;
}

.moon {
  height: 7rem;
    position: fixed;
    top: 2rem;
    left: 3rem;
    rotate: -13deg;
    opacity: 80%;
}

@keyframes STAR {
  0% {
    background: powderblue;
    height: 1px;
    width: 1px;
    box-shadow: 0px 0px 10px white;
  }
  10% {
    background: #d5f0ed;
  }
  20% {
    background: #cce7db;
  }
  30% {
    background: #d2dec4;
  }
  40% {
    background: #e4eacf;
  }
  50% {
    background: #e5ddb0;
    width: 4px;
    height: 4px;
    box-shadow: 0px 0px 10px #d3bd3d;
  }
  100% {
    width: 1px;
    height: 1px;
    background: powderblue;
    box-shadow: 0px 0px 10px white;
  }
}

.star {
  height: 1px;
  width: 1px;
  border-radius: 5px;
  box-shadow: 0px 0px 10px white;
  background: powderblue;
  position: absolute;
  z-index: -1;
}

.star.pulse
{
  animation: STAR 4s infinite;
}


.heading {
  color: #190F44;
  margin-bottom: 2rem;
}

#start-section {
  padding: 1rem;
  border-radius: 8px;
  border: 0.2em solid #190F44;
  color: #190F44;
  width: 700px;
  background-color: rgba(255, 255, 255, 0.8);
  justify-items: center;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -70px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

#options { 
  display: flex; 
  flex-direction: column; 
  gap: 1rem; 
  justify-content: center; 
  margin: 2.5rem; 
  /* padding-left: 33%; 
  padding-right: 33%;  */
}

.difficulty-section {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  margin-top: 3%;
  font-size: 1.1rem;
  font-weight: 500;
}

.questionContainer {
  display: flex;
  flex-direction: column;
  column-gap: 45px;
  padding: 1rem;
  border-radius: 8px;
  border: 0.2em solid rgb(25, 15, 68);
  color: rgb(25, 15, 68);
  width: 600px;
  height: 150px;
  place-items: center;
  justify-content: center;
  text-align: center;
  margin-top: 2rem;
  margin-left: auto;
  margin-right: auto;
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -70px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}


#question {
  font-family: 'Wix Madefor Display', sans-serif;
  font-size: 20pt;
  color: #190F44;
}

#timer {
  display: none;
  font-family: 'Wix Madefor Display', sans-serif;
  font-weight: 600;
}

.quiz-running #timer,
.quiz-finished #timer {
    display: block;
}

button.selected {
  color: rgb(5 1 24);
  background-color: #48ccd1;
  /* box-shadow: rgb(0, 255, 251) 0px 0px 0px 2px,  rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -70px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset; */
  scale: 101%;
}

.option-button {
  padding: 0.5rem;
  border-radius: 5px;
  border: 0.2em solid rgb(5 1 24);
  color: rgb(5 1 24);
  font-family: "Wix Madefor Display", sans-serif;
  font-weight: 600;
  font-size: 12pt;
  width: 40rem;
  height: 3rem;
  margin-left: auto;
  margin-right: auto;
  background-color: #eaf9ff;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -70px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
}

.option-button:hover {
  background-color: #caf3f2;
  color: rgb(5 1 24);
  scale: 101%;
}

.option-button:active {
  scale: 99%;
}

.quiz-nav-buttons {
  font-family: 'Wix Madefor Display', sans-serif;
  font-size: 13pt;
  padding: 0.6rem 1.3rem 0.6rem 1.3rem;
  margin: 0.5rem;
  font-weight: 600;
  background-color: #010008;
  color: #fff;
  border: none;
  border-radius: 5px;
  height: 3rem;
}


#category-label {
  font-size: 1.1rem;
  margin-right: 0.5rem;
  font-weight: 600;
}

#category {
  position: relative;
  width: 18.75rem;
  height: 2.1rem;
  font-size: 1rem;
  color: white;
  background: rgb(25, 15, 68);
  /* border-width: 2px; */
  border-radius: 0.25rem;
  padding-left: 0.3rem;
  font-family: 'Wix Madefor Display', sans-serif;
  }

  .footer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px;
    background-color: black;
    color: #fff;
    text-align: center;
  }
  
  .footer:before, .footer:after {
    content: '';
    position: absolute;
    left: -2px;
    top: -2px;
    background: linear-gradient(45deg, #ffffff, #00d9ff, #00ffb3, #00d9ff, #ffffff);
    background-size: 400%;
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    z-index: -1;
    animation: steam 20s linear infinite;
  }
  
  @keyframes steam {
    0% {
      background-position: 0 0;
    }
    50% {
      background-position: 100% 0;
    }
    100% {
      background-position: 0 0;
    }
  }
  
  .footer:after {
    filter: blur(50px);
  }

  .modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
  }

  .modal-content {
    background-color: rgba(255, 255, 255);
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -70px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
    width: 400px;
    margin: 200px auto;
    padding: 30px;
    border-radius: 4px;
    font-family: 'Wix Madefor Display', sans-serif;
    border: 0.2em solid #190F44;
    color: #190F44;
    margin-top: 17%;

  }

  .modal-content button {
    font-family: 'Wix Madefor Display', sans-serif;
  }

  .modal-content p {
    font-weight: 600;
    font-family: 'Wix Madefor Display', sans-serif;
  }

  .modal-buttons {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-top: 3rem;
  }


  /* .difficulty-header {
    position:absolute;
    padding-top: 0.001%;
    margin-left: -8.5%;

  } */


  .start {
    font-family: 'Wix Madefor Display', sans-serif;
    font-size: 13pt;
    padding: 0.6rem 1.3rem 0.6rem 1.3rem;
    font-weight: 600;
    border: none;
    margin-top: 50px;
    outline: none;
    color: #fff;
    background: #111;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
    margin-bottom: 2rem;
}

.start:before {
    content: '';
    background: linear-gradient(45deg, #ffffff, #00d9ff, #00ffb3, #00d9ff, #ffffff);
    position: absolute;
    top: -2px;
    left:-2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

.start:active {
    color: #000
}

.start:active:after {
    background: transparent;
}

.start:hover:before {
    opacity: 1;
}

.start:hover {
  scale: 101%;
}

.start:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #190F44;
    left: 0;
    top: 0;
    border-radius: 10px;
}

@keyframes glowing {
    0% { background-position: 0 0; }
    50% { background-position: 400% 0; }
    100% { background-position: 0 0; }
}


  .confirmReset {
    font-family: 'Wix Madefor Display', sans-serif;
    font-size: 13pt;
    padding: 0.6rem 1.3rem 0.6rem 1.3rem;
    font-weight: 600;
    background-color: #190F44;
    color: #fff;
    border-radius: 5px;
    border: none;
  }

  .confirmReset:hover {
    scale: 101%;
  }

  .confirmCancel {
    font-family: 'Wix Madefor Display', sans-serif;
    font-size: 13pt;
    padding: 0.6rem 1.3rem 0.6rem 1.3rem;
    font-weight: 600;
    background-color: #190F44;
    color: #fff;
    border-radius: 5px;
    border: none;
  }

  .confirmCancel:hover {
    scale: 101%;
  }

  .quiz-finished {
  padding: 1rem 2.5rem 1rem;
  border-radius: 8px;
  border: 0.2em solid #190F44;
  color: #190F44;
  width: 600px;
  justify-items: center;
  text-align: left;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  background-color: rgba(255, 255, 255, 0.9);
  box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -70px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
  height: calc(100vh - 400px); /* Subtract the height of the footer */
  overflow-y: auto;
  padding-bottom: 20px;
  }

 #results {
   display: flex;
   flex-direction: column;
   text-align: left;
   gap: 1em;
  }

  .incorrect{
    color: red;
    text-align: left;
  }

#play-again-button {
    font-family: 'Wix Madefor Display', sans-serif;
    font-size: 13pt;
    padding: 0.6rem 1.3rem 0.6rem 1.3rem;
    font-weight: 600;
    background-color: #190F44;
    color: #fff;
    border-radius: 5px;
    border: none;
    margin-top: 2rem;
  }

  #play-again-button:hover {
    scale: 101%;
  }



  #retry-button {
    font-family: 'Wix Madefor Display', sans-serif;
    font-size: 13pt;
    padding: 0.6rem 1.3rem 0.6rem 1.3rem;
    font-weight: 600;
    background-color: #190F44;
    color: #fff;
    border-radius: 5px;
    border: none;
    margin-top: 2rem;
  }

  #retry-button:hover {
    scale: 101%;
  }





    
